apiVersion: v1
kind: Service
metadata:
  creationTimestamp: "2024-12-12T00:27:31Z"
  finalizers:
  - submariner.io/globalnet-internal-service
  labels:
    submariner.io/exportedServiceRef: rook-ceph-mon-d
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"submariner.io/globalnet-internal-service": {}
        f:labels:
          .: {}
          f:submariner.io/exportedServiceRef: {}
      f:spec:
        f:externalIPs: {}
        f:externalTrafficPolicy: {}
        f:internalTrafficPolicy: {}
        f:ipFamilyPolicy: {}
        f:ports:
          .: {}
          k:{"port":3300,"protocol":"TCP"}:
            .: {}
            f:name: {}
            f:port: {}
            f:protocol: {}
            f:targetPort: {}
        f:selector: {}
        f:sessionAffinity: {}
        f:type: {}
    manager: submariner-globalnet
    operation: Update
    time: "2024-12-12T00:27:31Z"
  name: submariner-w4mfbcdvdi2oqcadnvzhxdwg75glri52
  namespace: openshift-storage
  resourceVersion: "10776360"
  uid: 9313c851-aecd-4000-b498-a70081881aa6
spec:
  clusterIP: 172.30.111.140
  clusterIPs:
  - 172.30.111.140
  externalIPs:
  - 242.1.255.247
  externalTrafficPolicy: Cluster
  internalTrafficPolicy: Cluster
  ipFamilies:
  - IPv4
  ipFamilyPolicy: SingleStack
  ports:
  - name: tcp-msgr2
    port: 3300
    protocol: TCP
    targetPort: 3300
  selector:
    app: rook-ceph-mon
    ceph_daemon_id: d
    mon: d
    mon_cluster: openshift-storage
    rook_cluster: openshift-storage
  sessionAffinity: None
  type: ClusterIP
status:
  loadBalancer: {}
